%define upstream_name Horde_Nls
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.2
Release:     	%mkrel 1
Summary:    	This package provides Native Language Support (NLS)
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Translation < 2.0.0
Requires:  	php-pear-Horde_Util < 2.0.0
Conflicts:  	php-pear-Horde_Translation = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Nls = %{version}
Obsoletes:	horde-nls

%description
Provide common methods for handling language data, timezones, and
hostname->country lookups.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Nls.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Nls.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Nls
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Nls/COPYING
%{peardir}/*
%{xmldir}/Horde_Nls.xml

%changelog

* Mon Nov 28 2011 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 173374
- upgrade to 1.1.2

* Mon Nov 07 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 164637
- upgrade to 1.1.1
-Provides:      	php-pear-Horde_Nls
  +Provides:      	php-pear-Horde_Nls = %%{version}
- imported package php-pear-Horde_Nls

